Unc0ver 5.0.0

Auf Twitter und auf Reddit hat das Unc0ver-Team gestern bekannt gegeben, dass eine neue Version von dem gleichnamigen Jailbreak-Tool kommt. Unc0ver in der Version 5.0.0 wird die aktuellen autorisierten Versionen von iOS jailbreaken können, was aktuell iOS 13.5 heißt. Das Jailbreak wird auf jedem Gerät möglich sein, das diese Version unterstützt. Offenbar hat einer aus dem Team eine unentdeckte Kernel-Sicherheitslücke gefunden, die ein solches Jailbreak möglich macht. Das Team empfiehlt auf iOS 13.5 zu aktualisieren und den Fortschritt der Entwicklung auf der entsprechenden Seite zu beobachten. Aktuell sind die Entwickler bei 95 Prozent Fortschritt, nach dessen Angaben laufen momentan noch Stabilitätstests auf den Geräten.

Eine Lücke im Kernel eines iPhones bedeutet meist, dass sie sich nicht mehr durch die Software-Updates schließen lässt, das heißt, dass die aktuellen iPhone 11 auch in der Zukunft für Jailbreak anfällig werden. Zuletzt hat die Jailbreak-Community eine ähnliche Lücke in den Chips bis A11 entdeckt, die iPhones von iPhone 5S bis iPhone X waren permanent für ein Jailbreak anfällig. Falls die aktuelle Lücke für Unc0ver 5.0.0 vergleichbar ist, können die neueren iPhones ab XS ebenfalls gejailbreakt werden. Erst die iPhones mit dem A14-Chip werden von dem Tool ausgeschlossen, bis die Hacker eine weitere Lücke finden.

Während bei den ersten iPhones ein Jailbreak fast schon eine Pflicht war, gab es bei der ersten iPhone-OS keine Dritt-Apps. Die zweite, dritte und weiteren Versionen von iOS waren doch noch in ihrer Funktionalität beschränkt, sodass sich ein alternatives Tool für erweiterte Einstellungen und Dritt-Apps, die sonst nie eine Überprüfung des App-Store-Teams bestanden hätten, durchaus lohnten. Aktuell reicht für die meisten Nutzer eine Standard-Version von iOS, ein Jailbreak wurde für ein Hobby für Enthusiasten.